/* Google Poppins Font */
/* font-family: 'Poppins', sans-serif; */
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    -webkit-font-smoothing: antialiased;
    font-smooth: antialiased;
}
body {
    background-color: #090909;
    font-family: 'Poppins', sans-serif;
    padding: 0;
    overflow-x: hidden;
}
.wrapper {
    overflow: hidden !important;
}
a, a:hover {
    text-decoration: none;
}
.container-fluid {
    padding-left: 5%;
    padding-right: 5%;
}
/* Header */
.header {
    position: fixed;
    top: 0;left: 0;
    width: 100%;
    padding: 20px 0;
    mix-blend-mode: difference;
    z-index: 10;
}
.header-content {
    display: flex;
}
.brand {
    width: 4vw;
}
.brand svg {
    mix-blend-mode: multiply;
}
/* Banner Section */

.section-outer {
    overflow: hidden;
}
.banner {
    position: relative;
    padding: 50px 0;
    color: #fff;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    height: 100vh;
}
.banner .container-fluid {
    margin-top: 100px;
}
.b-text-block {
    position: relative;
    width: 100%;
}
.b-xl{
    font-size: 20vw;
    font-weight: 700;
}
.b-xl .f-xl {
    text-align: left;
    overflow: hidden;
}
.b-xl .s-xl {
    text-align: right;
    overflow: hidden;
}
.xl-inner {
    padding-bottom: 10px;
}

.xl-inner span {
    display: inline-block;
}

.left-b-block {
    position: absolute;
    left: 5%;
    bottom: 25%;
}
.b-paragraph {
    overflow: hidden;
    font-size: 25px;
    line-height: 37px;
}
.word {
    display: inline-block;
}
.right-b-block {
    position: absolute;
    right: 5%;
    top: 15%;
    height: 300px;
    width: 300px;
    /* border: 5px solid white; */
    
}

.big-button {
    position: absolute;
    height: 16vw;
    width: 16vw;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px solid rgba(255, 255, 255, 0.2);
    border-radius: 50%;
    color: #fff;
    left: 0;right: 0;
    top: 0;bottom: 0;
    margin: auto;
    overflow: hidden;
    opacity: 0;
}


.btn-icon {
    text-align: center;
    pointer-events: none;
}

.btn-icon svg {
    margin-bottom: 10px;
    margin-left: auto;
    margin-right: auto;
    display: block;
}

.hover-big-btn {
    position: absolute;
    height: 100%;
    width: 100%;
    left: 0;top: 0;
    background-color: #fff;
    z-index: -1;
    border-radius: 50%;
    transform: scale(0);
    pointer-events: none;
}

.content3d {
    position: fixed;
    left: 0;right: 0;
    top: 0;bottom: 0;
    height: 100vh;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    transform-style: preserve-3d;
    transform: perspective(1000px);
}

.content3d .obj3d {
    position: absolute;
    width: 300px;
    transform-style: preserve-3d;
}

.section-2 {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 30px;
    color: #000;
    height: 100vh;
}

.project-gallery {
    position: absolute;
    top: 0;left: 0;
    height: 50vh;
    width: 100%;
    display: flex;
    justify-content: center;
    pointer-events: none;
}

.project-gallery-box {
    position: absolute;
    height: 100%;
    width: 50%;
    transform-style: preserve-3d;
    transform: perspective(1000px);
    pointer-events: none;
}
.gallery-box1 {
    left: -5%;
}
.gallery-box2 {
    right: -5%;
}
.gallery-box1 .project-img {
    right: 0;
    
}

.gallery-box2 .project-img {
    left: 0;
}

.project-img {
    position: absolute;
    top: 10vh;
    width: 8vw;
    height: 12vw;
    overflow: hidden;
    transform-style: preserve-3d;
    opacity: 0;
    pointer-events: all;
}

.project-img img {
    height: 100%;
    width: 100%;
    object-fit: cover;
    transition: .5s;
    pointer-events: none;
    user-select: none;
}

.project-img:hover img{
    transform: scale(1.15);
}

.b-project-gallery {
    position: absolute;
    bottom: 6%;
    left: 0;
    right: 0;
    margin: 0 auto;
    height: 150px;
    width: 100%;
    pointer-events: none;
    opacity: 0;
    visibility: hidden;
}

.rmb-btn {
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    position: absolute;
    height: 160px;
    width: 160px;
    left: 0;right: 0;
    top: 0;bottom: 0;
    margin:0 auto;
    pointer-events: none;
}

.hover-rom-btn, .hover-rom-btn-i, .hover-rom-btn span {
    position: absolute;
    height: 100%;
    width: 100%;
    left: 0;top: 0;
}

.hover-rom-btn {
    overflow: hidden;
    border-radius: 30px;
    transform: rotate(45deg) scale(.78);
    pointer-events: all;
}

.hover-rom-btn-i {
    transform: rotate(-45deg);
}

.hover-rom-btn-i span {
    background-color: #fff;
    border-radius: 50%;
    transform: scale(0);
} 
/* .rombus-btn {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
} */
/* .rombus-btn .rmb-btn-content {
    position: absolute;
    transform: rotate(-45deg) scale(1.25);
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
} */
.drw-rmb-btn {
    position: absolute;
    height: 100%;width: 100%;
    left: 0;top: 0;
}

.rmb-btn-inner {
    height: 100%;
    width: 100%;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.rmb-btn-inner .rmb-btn-title {
    font-size: 16px;
    font-weight: 400;
    line-height: 1;
    text-align: center;
}

/* .rmb-btn-icon svg {
    width: 100%;
    height: 100%;
} */


.rmb-btn-archive {
    position: absolute;
    inset: 0;
    left: 0;bottom: 0;
    width: 100%;height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.rmb-btn-archive .rmb-btn {
    opacity: 0;
    visibility: hidden;
    scale: .8;
    margin: auto;
}

/* Liquid Distortion Section */

.liquid-distortion {
    position: relative;
    padding: 100px 0;
    color: #fff;
}

.liquid-distortion .row {
    justify-content: space-between;
}
.liquid-distortion h2 {
    margin-bottom: 30px;
    margin-top: 0;
}
h2 {
    font-size: 40px;
    line-height: 60px;
}
.big-btn-block {
    position: relative;
    height: 400px;
    width: 300px;
}


.dist-image {
    position: relative;
    width: 30vw;
    height: 40vw;
}

.canvas {
    position: relative;
    z-index: 0;
    width: 100%;
    height: 100%;
    -webkit-box-flex: 0;
    -webkit-flex: 0 auto;
    -ms-flex: 0 auto;
    flex: 0 auto;
  }

  .dist-image canvas {
    position: absolute;
    max-width: 100%;
    height: 100%;
}

/* Footer */

.footer {
    position: relative;
    background-color: #fff;
    text-align: center;
    padding: 20px 0;
} 

.footer p {
    text-transform: capitalize;
    font-size: 14px;
    color: #000;
    margin: 0;
}

